cancel
Showing results for 
Search instead for 
Did you mean: 
Security Alert Log4j Security Vulnerability. Click here to know more.
cancel
Showing results for 
Search instead for 
Did you mean: 

Deleting non-latest iterations - Strange Error Message

erinhoover
4-Participant

Deleting non-latest iterations - Strange Error Message

I am wanting to delete non-latest iterations of assembly123.asm because there is an accidental revision of part123.prt that was stored in the non-latest iterations of assembly123.asm. The error message that I get says:

 

Attention:

A referential integrity violation occurred for this operation: Cannot delete master "assembly123.asm -.11" because it is referenced by the following versions: assembly123.asm -.13

 

Does anyone know why a later version would be dependent on an earlier version of a Creo 5 assembly? I don't know how this link was created or how to break it.

 

Thanks in advance for your input.

6 REPLIES 6
STEVEG
20-Turquoise
(To:erinhoover)

Because you can't delete a non-latest version.  That is probably how they let you know.

 

What you can do is export version 1.3 out, delete 1.1 through 1.3, then import that model back over whatever is latest.

erinhoover
4-Participant
(To:STEVEG)

Hi Steve,

 

I have been able to delete non-latest iterations in the past. The error message that I received this time seemed to suggest that a later iteration was dependent on an earlier iteration. The earlier iteration was called "Master". I have not seen that message before and was wondering if it had to do with how the assembly was set up or how it was checked back in.

 

Respectfully,

Erin

STEVEG
20-Turquoise
(To:erinhoover)

That's very odd because as far as I knew it wasn't supposed to.  I'll check it again on our test server.

STEVEG
20-Turquoise
(To:erinhoover)

I found a drawing that had up to revision H.  Rev G has iteration 1-14.  I tried deleting G.9 as both org admin and site admin.  Neither would allow me to delete it.

 

So I don't know how you were able to.

I would suggest opening a Support case with the Windchill WGM team, as they have expertise with this.

 

Relevant knowledge article:

https://www.ptc.com/en/support/article/CS44609

 

Which, is pretty open-ended, and you can see there are a lot of referential integrity/relationship issues that can complicate trying to delete/purge, earlier versions due to the relationships that get recorded in the system.

 

Likely, SteveG's recommendation is what WGM would suggest too, but I think it would be good to open a Support case with them, to confirm.

Thanks. I was able to login to create a support case but when I click on the create support case button, I got the following message:

 

A problem was encountered with your web account. Please contact the Customer Service webmasters to resolve this issue. We apologize for any inconvenience.

Announcements